Public Member Functions
PluginItem Class Reference

## Detailed Description

The PluginItem class contains the information on each item of a plug-in.

A plug-in item is basically an XSI customizable component such as:

- Filter
- Command
- Operator
- etc.

Since:
  4.0

`#include <xsi_pluginitem.h>`

Inheritance diagram for PluginItem:
[legend]

List of all members.

## Public Member Functions
| PluginItem ()
| ~PluginItem ()
| PluginItem (const CRef &in_ref)
| PluginItem (const PluginItem &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
PluginItem & | operator= (const PluginItem &in_obj)
PluginItem & | operator= (const CRef &in_ref)
CStatus | PutHelp (const CString &in_strHelp)
CStatus | PutCategories (const CString &in_strCat)

## Constructor & Destructor Documentation

PluginItem | ( |  | ) |

Default constructor.

~PluginItem | ( |  | ) |

Default destructor.

PluginItem | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

PluginItem | ( | const PluginItem & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from SIObject.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Reimplemented from SIObject.

PluginItem& operator= | ( | const PluginItem & | in_obj | ) |

Creates an object from another object. The new object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new PluginItem object.

PluginItem& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The new object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new PluginItem object.

Reimplemented from SIObject.

CStatus PutHelp | ( | const CString & | in_strHelp | ) |

Sets the help path for this plug-in item

Parameters:

  in_strHelp | The help path

Returns:
  CStatus OK if successful
  CStatus Fail if not successful

CStatus PutCategories | ( | const CString & | in_strCat | ) |

Sets the categories for this plug-in item

Parameters:

  in_strCat | A comma-separated string representing the categories of this plug-in item.

Returns:
  CStatus OK if successul

The documentation for this class was generated from the following file:

- xsi_pluginitem.h